MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002178ATutorAdminpublic2005-11-25 13:352005-12-01 08:17
Reportergreg 
Assigned Touser2 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.5.2 
Summary0002178: admin manage existing languages
DescriptionOnly English appears in the first select menu in the Language Manager. All available languages on the system should appear.
TagsNo tags attached.
Affects version
SVN Revision#
Attached Files

- Relationships

-  Notes
(0001634)
greg (administrator)
2005-11-25 13:40

Except for the list in the footer, this seems to be a system wide problem. Languages missing from admin preferences, user preferecnes, and create course language selectors.
(0001636)
user2
2005-11-28 07:51

there are no 1.5.2 language packs. so where are you getting them from?
(0001637)
greg (administrator)
2005-11-28 08:19

Export from SVN using the Lanaguage Manager on atutor.ca, though 1.5.1 packs should also work.
(0001657)
greg (administrator)
2005-11-29 12:17
edited on: 2005-11-29 12:57

I tried installing the 1.5.1 Ukranian pack on a fresh install from SVN, so I could delete English and update it with a copy from the SVN language db. The UK pack installed okay, and the language was displayed properly in the language select menus throughout, and the English pack deleted okay.

Reinstalling the English went okay, but English was not listed in the available languages the select menus. The listing of languages in the footer seem okay.

Then I deleted the UK pack and tried reinstalling it, but it failed telling the language already exists. It tried installing other 1.5.1 and SVN packs and got the same error message. The languages were deleted properly from the db.

Finally I deleted the left over language file in the import directory then languages could be installed again, until I generated the message already exists message again by trying to install a lanugage did exists.

Then more problems.... I think the language manager needs a good going over.


- Issue History
Date Modified Username Field Change
2005-11-25 13:35 greg New Issue
2005-11-25 13:40 greg Note Added: 0001634
2005-11-28 07:51 user2 Note Added: 0001636
2005-11-28 08:19 greg Note Added: 0001637
2005-11-29 12:17 greg Note Added: 0001657
2005-11-29 12:47 greg Note Edited: 0001657
2005-11-29 12:57 greg Note Edited: 0001657
2005-11-30 11:21 user2 Status new => resolved
2005-11-30 11:21 user2 Fixed in Version => 1.5.2
2005-11-30 11:21 user2 Resolution open => fixed
2005-11-30 11:21 user2 Assigned To => user2
2005-12-01 08:17 user2 Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker